| FlexDoc/XML XSDDoc Demo | XML Schema for XSLT 2.0 & XSD 1.0

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

All Component Summary
Components:
elements (top-level / other; 93 global + 28 local), complexTypes (41), simpleTypes (77), element groups (14), attribute groups (4), global attributes (4)

Top-Level Element Summary (root element candidates)
xsl:stylesheet |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:transform-element-base-type), inherited from xsl:transform
Content: | complex, 9 attributes, attr. wildcard, 4 elements, elem., wildcard
Subst.Gr: | substitutes for xsl:transform
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | yes
id | xs:ID |  | no
default-validation | xsl:validation-strip-or-preserve : ("preserve" | "strip") | "strip" | no
input-type-annotations | xsl:input-type-annotations-type : ("preserve" | "strip" | "unspecified") | "unspecified" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xsl:import | anonymous | 0..∞ | no
CHOICE |  | 0..∞ |
xsl:declaration | xsl:generic-element-type | 1..1 | no
xsl:variable | anonymous | 1..1 | no
xsl:param | anonymous | 1..1 | no
{any} | from non-schema namespace | 1..1 |
xsl:transform |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:transform-element-base-type)
Content: | complex, 9 attributes, attr. wildcard, 4 elements, elem., wildcard
Subst.Gr: | substituted with xsl:stylesheet
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 3 attributes, 4 elements, elem. wildcard
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | yes
id | xs:ID |  | no
default-validation | xsl:validation-strip-or-preserve : ("preserve" | "strip") | "strip" | no
input-type-annotations | xsl:input-type-annotations-type : ("preserve" | "strip" | "unspecified") | "unspecified" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xsl:import | anonymous | 0..∞ | no
CHOICE |  | 0..∞ |
xsl:declaration | xsl:generic-element-type | 1..1 | no
xsl:variable | anonymous | 1..1 | no
xsl:param | anonymous | 1..1 | no
{any} | from non-schema namespace | 1..1 |

All Other Element Summary (local elements unified by type)
xs:all |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:all
Content: | complex, 3 attributes, attr. wildcard, 2 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 3 locations
See: http://www.w3.org/TR/xmlschema-1/#element-all Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
minOccurs | anonymous : (0 | 1) | 1 | no
maxOccurs | anonymous : 1 | 1 | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:element | xs:narrowMaxMin | 0..∞ | no
xs:all (in xs:group) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (restriction of xs:all)
Content: | complex, 1 attribute, attr. wildcard, 2 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally in complexType xs:namedGroup in XMLSchema.xsd; see XML source
Includes: | declaration of attr. wildcard; 2 attr. prohibitions
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:element | xs:narrowMaxMin | 0..∞ | no
xs:annotation |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:openAttrs)
Content: | complex, 1 attribute, attr. wildcard, 2 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, 2 elements
Referenced: | by 28 locations
See: http://www.w3.org/TR/xmlschema-1/#element-annotation Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 0..∞ |
xs:appinfo | anonymous | 1..1 | no
xs:documentation | anonymous | 1..1 | no
xs:any |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:wildcard)
Content: | complex, 5 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 2 locations
See: http://www.w3.org/TR/xmlschema-1/#element-any Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
namespace | xs:namespaceList : ("##any" | "##other" | list of (xs:anyURI | "##targetNamespace" | "##local")) | "##any" | no
processContents | anonymous : ("skip" | "lax" | "strict") | "strict" | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:anyAttribute |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:wildcard
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-anyAttribute Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
namespace | xs:namespaceList : ("##any" | "##other" | list of (xs:anyURI | "##targetNamespace" | "##local")) | "##any" | no
processContents | anonymous : ("skip" | "lax" | "strict") | "strict" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:appinfo |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType
Content: | mixed, 1 attribute, attr. wildcard, elem., wildcard
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, elem. wildcard
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-appinfo Attributes:
Attribute | Type / Value | Default | Required?
source | xs:anyURI |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
{any} | from any namespace | 0..∞ |
xs:attribute |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:topLevelAttribute
Content: | complex, 5 attributes, attr. wildcard, 2 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-attribute Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
type | xs:QName |  | no
default | xs:string |  | no
fixed | xs:string |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:simpleType | xs:localSimpleType | 0..1 | no
xs:attribute (type xs:attribute) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:attribute
Content: | complex, 8 attributes, attr. wildcard, 2 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally in group xs:attrDecls in XMLSchema.xsd; see XML source
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
ref | xs:QName |  | no
type | xs:QName |  | no
use | anonymous : ("prohibited" | "optional" | "required") | "optional" | no
default | xs:string |  | no
fixed | xs:string |  | no
form | xs:formChoice : ("qualified" | "unqualified") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:simpleType | xs:localSimpleType | 0..1 | no
xs:attributeGroup |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:namedAttributeGroup
Content: | complex, 2 attributes, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-attributeGroup Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:attributeGroup (type xs:attributeGroupRef) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:attributeGroupRef
Content: | complex, 2 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally in group xs:attrDecls in XMLSchema.xsd; see XML source
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
ref | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:choice |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:explicitGroup
Content: | complex, 3 attributes, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 4 locations
See: http://www.w3.org/TR/xmlschema-1/#element-choice Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:element | xs:localElement | 1..1 | no
xs:group | xs:groupRef | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xs:any | anonymous | 1..1 | no
xs:choice (in xs:group) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:simpleExplicitGroup
Content: | complex, 1 attribute, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally in complexType xs:namedGroup in XMLSchema.xsd; see XML source
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:element | xs:localElement | 1..1 | no
xs:group | xs:groupRef | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xs:any | anonymous | 1..1 | no
xs:complexContent |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:annotated)
Content: | complex, 2 attributes, attr. wildcard, 3 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, 2 elements
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-complexContent Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
mixed | xs:boolean |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:restriction | xs:complexRestrictionType | 1..1 | no
xs:extension | xs:extensionType | 1..1 | no
xs:complexType |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:topLevelComplexType
Content: | complex, 6 attributes, attr. wildcard, 10 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-complexType Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
mixed | xs:boolean | "false" | no
abstract | xs:boolean | "false" | no
final | xs:derivationSet : ("#all" | list of ("extension" | "restriction")) |  | no
block | xs:derivationSet : ("#all" | list of ("extension" | "restriction")) |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:simpleContent | anonymous | 1..1 | no
xs:complexContent | anonymous | 1..1 | no
SEQUENCE |  | 1..1 |
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:complexType (type xs:localComplexType) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:localComplexType
Content: | complex, 2 attributes, attr. wildcard, 10 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally at 4 locations in XMLSchema.xsd
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
mixed | xs:boolean | "false" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:simpleContent | anonymous | 1..1 | no
xs:complexContent | anonymous | 1..1 | no
SEQUENCE |  | 1..1 |
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:documentation |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType
Content: | mixed, 2 attributes, attr. wildcard, elem., wildcard
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 attributes, attr. wildcard, elem. wildcard
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-documentation Attributes:
Attribute | Type / Value | Default | Required?
source | xs:anyURI |  | no
xml:lang | anonymous : (xs:language | "") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
{any} | from any namespace | 0..∞ |
xs:element |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:topLevelElement
Content: | complex, 10 attributes, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-element Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
type | xs:QName |  | no
substitutionGroup | xs:QName |  | no
default | xs:string |  | no
fixed | xs:string |  | no
nillable | xs:boolean | "false" | no
abstract | xs:boolean | "false" | no
final | xs:derivationSet : ("#all" | list of ("extension" | "restriction")) |  | no
block | xs:blockSet : ("#all" | list of ("extension" | "restriction" | "substitution")) |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:simpleType | xs:localSimpleType | 1..1 | no
xs:complexType | xs:localComplexType | 1..1 | no
CHOICE |  | 0..∞ |
xs:unique | xs:keybase | 1..1 | no
xs:key | xs:keybase | 1..1 | no
xs:keyref | anonymous | 1..1 | no
xs:element (type xs:localElement) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:localElement
Content: | complex, 11 attributes, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally at 2 locations in XMLSchema.xsd
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
ref | xs:QName |  | no
type | xs:QName |  | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
default | xs:string |  | no
fixed | xs:string |  | no
nillable | xs:boolean | "false" | no
block | xs:blockSet : ("#all" | list of ("extension" | "restriction" | "substitution")) |  | no
form | xs:formChoice : ("qualified" | "unqualified") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:simpleType | xs:localSimpleType | 1..1 | no
xs:complexType | xs:localComplexType | 1..1 | no
CHOICE |  | 0..∞ |
xs:unique | xs:keybase | 1..1 | no
xs:key | xs:keybase | 1..1 | no
xs:keyref | anonymous | 1..1 | no
xs:element (type xs:narrowMaxMin) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:narrowMaxMin
Content: | complex, 11 attributes, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally in group xs:allModel in XMLSchema.xsd; see XML source
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
ref | xs:QName |  | no
type | xs:QName |  | no
default | xs:string |  | no
fixed | xs:string |  | no
nillable | xs:boolean | "false" | no
block | xs:blockSet : ("#all" | list of ("extension" | "restriction" | "substitution")) |  | no
form | xs:formChoice : ("qualified" | "unqualified") |  | no
minOccurs | anonymous : (0 | 1) | 1 | no
maxOccurs | anonymous : (0 | 1) | 1 | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:simpleType | xs:localSimpleType | 1..1 | no
xs:complexType | xs:localComplexType | 1..1 | no
CHOICE |  | 0..∞ |
xs:unique | xs:keybase | 1..1 | no
xs:key | xs:keybase | 1..1 | no
xs:keyref | anonymous | 1..1 | no
xs:enumeration |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:noFixedFacet
Content: | complex, 2 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-enumeration Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
value | xs:anySimpleType |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:extension (in xs:complexContent) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:extensionType
Content: | complex, 2 attributes, attr. wildcard, 8 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally in element xs:complexContent in XMLSchema.xsd; see XML source
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
base | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:extension (in xs:simpleContent) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:simpleExtensionType
Content: | complex, 2 attributes, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally in element xs:simpleContent in XMLSchema.xsd; see XML source
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
base | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:field |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:annotated)
Content: | complex, 2 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-field Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
xpath | anonymous : restriction of xs:token |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:fractionDigits |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:numFacet
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-fractionDigits Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
fixed | xs:boolean | "false" | no
value | xs:nonNegativeInteger |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:group |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:namedGroup
Content: | complex, 2 attributes, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-group Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:all | anonymous | 1..1 | no
xs:choice | xs:simpleExplicitGroup | 1..1 | no
xs:sequence | xs:simpleExplicitGroup | 1..1 | no
xs:group (type xs:groupRef) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:groupRef
Content: | complex, 4 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally at 3 locations in XMLSchema.xsd
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
ref | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:import |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:annotated)
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-import Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
namespace | xs:anyURI |  | no
schemaLocation | xs:anyURI |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:include |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:annotated)
Content: | complex, 2 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-include Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
schemaLocation | xs:anyURI |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:key |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:keybase
Content: | complex, 2 attributes, attr. wildcard, 3 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-key Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:selector | anonymous | 1..1 | no
xs:field | anonymous | 1..∞ | no
xs:keyref |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:keybase)
Content: | complex, 3 attributes, attr. wildcard, 3 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-keyref Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | yes
refer | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:selector | anonymous | 1..1 | no
xs:field | anonymous | 1..∞ | no
xs:length |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:numFacet
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-length Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
fixed | xs:boolean | "false" | no
value | xs:nonNegativeInteger |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:list |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:annotated)
Content: | complex, 2 attributes, attr. wildcard, 2 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, 1 element
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
itemType | xs:QName |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:simpleType | xs:localSimpleType | 0..1 | no
xs:maxExclusive |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:facet
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-maxExclusive Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
value | xs:anySimpleType |  | yes
fixed | xs:boolean | "false" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:maxInclusive |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:facet
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-maxInclusive Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
value | xs:anySimpleType |  | yes
fixed | xs:boolean | "false" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:maxLength |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:numFacet
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-maxLength Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
fixed | xs:boolean | "false" | no
value | xs:nonNegativeInteger |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:minExclusive |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:facet
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-minExclusive Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
value | xs:anySimpleType |  | yes
fixed | xs:boolean | "false" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:minInclusive |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:facet
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-minInclusive Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
value | xs:anySimpleType |  | yes
fixed | xs:boolean | "false" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:minLength |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:numFacet
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-minLength Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
fixed | xs:boolean | "false" | no
value | xs:nonNegativeInteger |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:notation |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:annotated)
Content: | complex, 4 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-notation Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | yes
public | xs:public : xs:token |  | no
system | xs:anyURI |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:pattern |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (restriction of xs:noFixedFacet)
Content: | complex, 2 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 1 element
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-pattern Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
value | xs:string |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:redefine |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:openAttrs)
Content: | complex, 2 attributes, attr. wildcard, 5 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 attributes, 1 element
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-redefine Attributes:
Attribute | Type / Value | Default | Required?
schemaLocation | xs:anyURI |  | yes
id | xs:ID |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 0..∞ |
xs:annotation | anonymous | 1..1 | no
xs:simpleType | xs:topLevelSimpleType | 1..1 | no
xs:complexType | xs:topLevelComplexType | 1..1 | no
xs:group | xs:namedGroup | 1..1 | no
xs:attributeGroup | xs:namedAttributeGroup | 1..1 | no
xs:restriction |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:annotated)
Content: | complex, 2 attributes, attr. wildcard, 14 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
base | xs:QName |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:simpleType | xs:localSimpleType | 0..1 | no
CHOICE |  | 0..∞ |
xs:minExclusive | xs:facet | 1..1 | no
xs:minInclusive | xs:facet | 1..1 | no
xs:maxExclusive | xs:facet | 1..1 | no
xs:maxInclusive | xs:facet | 1..1 | no
xs:totalDigits | anonymous | 1..1 | no
xs:fractionDigits | xs:numFacet | 1..1 | no
xs:length | xs:numFacet | 1..1 | no
xs:minLength | xs:numFacet | 1..1 | no
xs:maxLength | xs:numFacet | 1..1 | no
xs:enumeration | xs:noFixedFacet | 1..1 | no
xs:whiteSpace | anonymous | 1..1 | no
xs:pattern | anonymous | 1..1 | no
xs:restriction (in xs:complexContent) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:complexRestrictionType
Content: | complex, 2 attributes, attr. wildcard, 8 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally in element xs:complexContent in XMLSchema.xsd; see XML source
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
base | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:restriction (in xs:simpleContent) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:simpleRestrictionType
Content: | complex, 2 attributes, attr. wildcard, 17 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally in element xs:simpleContent in XMLSchema.xsd; see XML source
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
base | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:simpleType | xs:localSimpleType | 0..1 | no
CHOICE |  | 0..∞ |
xs:minExclusive | xs:facet | 1..1 | no
xs:minInclusive | xs:facet | 1..1 | no
xs:maxExclusive | xs:facet | 1..1 | no
xs:maxInclusive | xs:facet | 1..1 | no
xs:totalDigits | anonymous | 1..1 | no
xs:fractionDigits | xs:numFacet | 1..1 | no
xs:length | xs:numFacet | 1..1 | no
xs:minLength | xs:numFacet | 1..1 | no
xs:maxLength | xs:numFacet | 1..1 | no
xs:enumeration | xs:noFixedFacet | 1..1 | no
xs:whiteSpace | anonymous | 1..1 | no
xs:pattern | anonymous | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:schema |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:openAttrs)
Content: | complex, 8 attributes, attr. wildcard, 12 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 8 attributes, 5 elements
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-schema Attributes:
Attribute | Type / Value | Default | Required?
targetNamespace | xs:anyURI |  | no
version | xs:token |  | no
finalDefault | xs:fullDerivationSet : ("#all" | list of ("extension" | "restriction" | "list" | "union")) | "" | no
blockDefault | xs:blockSet : ("#all" | list of ("extension" | "restriction" | "substitution")) | "" | no
attributeFormDefault | xs:formChoice : ("qualified" | "unqualified") | "unqualified" | no
elementFormDefault | xs:formChoice : ("qualified" | "unqualified") | "unqualified" | no
id | xs:ID |  | no
xml:lang | anonymous : (xs:language | "") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
CHOICE |  | 0..∞ |
xs:include | anonymous | 1..1 | no
xs:import | anonymous | 1..1 | no
xs:redefine | anonymous | 1..1 | no
xs:annotation | anonymous | 1..1 | no
SEQUENCE |  | 0..∞ |
CHOICE |  | 1..1 |
xs:simpleType | xs:topLevelSimpleType | 1..1 | no
xs:complexType | xs:topLevelComplexType | 1..1 | no
xs:group | xs:namedGroup | 1..1 | no
xs:attributeGroup | xs:namedAttributeGroup | 1..1 | no
xs:element | xs:topLevelElement | 1..1 | no
xs:attribute | xs:topLevelAttribute | 1..1 | no
xs:notation | anonymous | 1..1 | no
xs:annotation | anonymous | 0..∞ | no
xs:selector |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:annotated)
Content: | complex, 2 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-selector Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
xpath | anonymous : restriction of xs:token |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:sequence |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:explicitGroup
Content: | complex, 3 attributes, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 4 locations
See: http://www.w3.org/TR/xmlschema-1/#element-sequence Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:element | xs:localElement | 1..1 | no
xs:group | xs:groupRef | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xs:any | anonymous | 1..1 | no
xs:sequence (in xs:group) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:simpleExplicitGroup
Content: | complex, 1 attribute, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally in complexType xs:namedGroup in XMLSchema.xsd; see XML source
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:element | xs:localElement | 1..1 | no
xs:group | xs:groupRef | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xs:any | anonymous | 1..1 | no
xs:simpleContent |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:annotated)
Content: | complex, 1 attribute, attr. wildcard, 3 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-simpleContent Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:restriction | xs:simpleRestrictionType | 1..1 | no
xs:extension | xs:simpleExtensionType | 1..1 | no
xs:simpleType |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:topLevelSimpleType
Content: | complex, 3 attributes, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-simpleType Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
final | xs:simpleDerivationSet : ("#all" | list of ("list" | "union" | "restriction")) |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:restriction | anonymous | 1..1 | no
xs:list | anonymous | 1..1 | no
xs:union | anonymous | 1..1 | no
xs:simpleType (type xs:localSimpleType) |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:localSimpleType
Content: | complex, 1 attribute, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | locally at 9 locations in XMLSchema.xsd
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:restriction | anonymous | 1..1 | no
xs:list | anonymous | 1..1 | no
xs:union | anonymous | 1..1 | no
xs:totalDigits |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (restriction of xs:numFacet)
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 1 element
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-totalDigits Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
fixed | xs:boolean | "false" | no
value | xs:positiveInteger |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:union |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (extension of xs:annotated)
Content: | complex, 2 attributes, attr. wildcard, 2 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, 1 element
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
memberTypes | anonymous : list of xs:QName |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:simpleType | xs:localSimpleType | 0..∞ | no
xs:unique |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | xs:keybase
Content: | complex, 2 attributes, attr. wildcard, 3 elements
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-1/#element-unique Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:selector | anonymous | 1..1 | no
xs:field | anonymous | 1..∞ | no
xs:whiteSpace |
Namespace: | http://www.w3.org/2001/XMLSchema
Type: | anonymous complexType (restriction of xs:facet)
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this element or its type)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 1 element
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#element-whiteSpace Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
fixed | xs:boolean | "false" | no
value | anonymous : ("preserve" | "replace" | "collapse") |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xsl:analyze-string |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | complex, 9 attributes, attr. wildcard, 3 elements
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 3 attributes, 3 elements
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token |  | yes
regex | xsl:avt : xs:string |  | yes
flags | xsl:avt : xs:string | "" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xsl:matching-substring | xsl:sequence-constructor | 0..1 | no
xsl:non-matching-substring | xsl:sequence-constructor | 0..1 | no
xsl:fallback | xsl:sequence-constructor | 0..∞ | no
xsl:apply-imports |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | complex, 6 attributes, attr. wildcard, 1 element
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xsl:with-param | anonymous | 0..∞ | no
xsl:apply-templates |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | complex, 8 attributes, attr. wildcard, 2 elements
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 attributes, 2 elements
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token | "child::node()" | no
mode | xsl:mode : (restriction of xs:Name | "#default" | "#current") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 0..∞ |
xsl:sort | anonymous | 1..1 | no
xsl:with-param | anonymous | 1..1 | no
xsl:attribute |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 12 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 6 attributes
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:avt : xs:string |  | yes
namespace | xsl:avt : xs:string |  | no
select | xsl:expression : restriction of xs:token |  | no
separator | xsl:avt : xs:string |  | no
type | xsl:QName : restriction of xs:Name |  | no
validation | xsl:validation-type : ("strict" | "lax" | "preserve" | "strip") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:attribute-set |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | complex, 8 attributes, attr. wildcard, 1 element
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 attributes, 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:QName : restriction of xs:Name |  | yes
use-attribute-sets | xsl:QNames : list of restriction of xs:Name | "" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xsl:attribute | anonymous | 0..∞ | no
xsl:call-template |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | complex, 7 attributes, attr. wildcard, 1 element
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 1 attribute, 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:QName : restriction of xs:Name |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xsl:with-param | anonymous | 0..∞ | no
xsl:character-map |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | complex, 8 attributes, attr. wildcard, 1 element
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 attributes, 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:QName : restriction of xs:Name |  | yes
use-character-maps | xsl:QNames : list of restriction of xs:Name | "" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xsl:output-character | anonymous | 0..∞ | no
xsl:choose |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | complex, 6 attributes, attr. wildcard, 2 elements
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xsl:when | anonymous | 1..∞ | no
xsl:otherwise | xsl:sequence-constructor | 0..1 | no
xsl:comment |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 7 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:copy |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 11 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 5 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
copy-namespaces | xsl:yes-or-no : ("yes" | "no") | "yes" | no
inherit-namespaces | xsl:yes-or-no : ("yes" | "no") | "yes" | no
use-attribute-sets | xsl:QNames : list of restriction of xs:Name | "" | no
type | xsl:QName : restriction of xs:Name |  | no
validation | xsl:validation-type : ("strict" | "lax" | "preserve" | "strip") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:copy-of |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:versioned-element-type)
Content: | mixed, 10 attributes, attr. wildcard
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 4 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token |  | yes
copy-namespaces | xsl:yes-or-no : ("yes" | "no") | "yes" | no
type | xsl:QName : restriction of xs:Name |  | no
validation | xsl:validation-type : ("strict" | "lax" | "preserve" | "strip") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} | character data |  |
xsl:decimal-format |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | empty, 17 attributes, attr. wildcard
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 11 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:QName : restriction of xs:Name |  | no
decimal-separator | xsl:char : restriction of xs:string | "." | no
grouping-separator | xsl:char : restriction of xs:string | "," | no
infinity | xs:string | Infinity | no
minus-sign | xsl:char : restriction of xs:string | "-" | no
NaN | xs:string | NaN | no
percent | xsl:char : restriction of xs:string | "%" | no
per-mille | xsl:char : restriction of xs:string | "‰" | no
zero-digit | xsl:char : restriction of xs:string | 0 | no
digit | xsl:char : restriction of xs:string | "#" | no
pattern-separator | xsl:char : restriction of xs:string | ";" | no
{any attribute} | from non-schema namespace |  | no
xsl:declaration |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | xsl:generic-element-type
Content: | mixed, 5 attributes, attr. wildcard
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with xsl:attribute-set, xsl:character-map, xsl:decimal-format, xsl:function, xsl:import-schema, xsl:include, xsl:key, xsl:namespace-alias, xsl:output, xsl:preserve-space, xsl:strip-space, xsl:template
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 13 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} | character data |  |
xsl:document |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 8 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
type | xsl:QName : restriction of xs:Name |  | no
validation | xsl:validation-type : ("strict" | "lax" | "preserve" | "strip") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:element |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 12 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 6 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:avt : xs:string |  | yes
namespace | xsl:avt : xs:string |  | no
inherit-namespaces | xsl:yes-or-no : ("yes" | "no") | "yes" | no
use-attribute-sets | xsl:QNames : list of restriction of xs:Name | "" | no
type | xsl:QName : restriction of xs:Name |  | no
validation | xsl:validation-type : ("strict" | "lax" | "preserve" | "strip") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:fallback |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | xsl:sequence-constructor
Content: | mixed, 6 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 3 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:for-each |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:versioned-element-type)
Content: | mixed, 7 attributes, attr. wildcard, 4 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 1 attribute, 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
SEQUENCE |  | 1..1 |
xsl:sort | anonymous | 0..∞ | no
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:for-each-group |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:versioned-element-type)
Content: | mixed, 12 attributes, attr. wildcard, 4 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 6 attributes, 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token |  | yes
group-by | xsl:expression : restriction of xs:token |  | no
group-adjacent | xsl:expression : restriction of xs:token |  | no
group-starting-with | xsl:pattern : restriction of xs:token |  | no
group-ending-with | xsl:pattern : restriction of xs:token |  | no
collation | xs:anyURI |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
SEQUENCE |  | 1..1 |
xsl:sort | anonymous | 0..∞ | no
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:function |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:versioned-element-type)
Content: | mixed, 9 attributes, attr. wildcard, 4 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 3 attributes, 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:QName : restriction of xs:Name |  | yes
override | xsl:yes-or-no : ("yes" | "no") | "yes" | no
as | xsl:sequence-type : restriction of xs:token | "item()*" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
SEQUENCE |  | 1..1 |
xsl:param | anonymous | 0..∞ | no
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:if |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 7 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
test | xsl:expression : restriction of xs:token |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:import |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | empty, 7 attributes, attr. wildcard
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
href | xs:anyURI |  | yes
{any attribute} | from non-schema namespace |  | no
xsl:import-schema |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | complex, 8 attributes, attr. wildcard, 1 element
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 attributes, 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
namespace | xs:anyURI |  | no
schema-location | xs:anyURI |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:schema | anonymous | 0..1 | no
xsl:include |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | empty, 7 attributes, attr. wildcard
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
href | xs:anyURI |  | yes
{any attribute} | from non-schema namespace |  | no
xsl:instruction |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | xsl:versioned-element-type
Content: | mixed, 6 attributes, attr. wildcard
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with xsl:analyze-string, xsl:apply-imports, xsl:apply-templates, xsl:attribute, xsl:call-template, xsl:choose, xsl:comment, xsl:copy, xsl:copy-of, xsl:document, xsl:element, xsl:fallback, xsl:for-each, xsl:for-each-group, xsl:if, xsl:message, xsl:namespace, xsl:next-match, xsl:number, xsl:perform-sort, xsl:processing-instruction, xsl:result-document, xsl:sequence, xsl:text, xsl:value-of
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 26 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} | character data |  |
xsl:key |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 10 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 4 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:QName : restriction of xs:Name |  | yes
match | xsl:pattern : restriction of xs:token |  | yes
use | xsl:expression : restriction of xs:token |  | no
collation | xs:anyURI |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:literal-result-element |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | xs:anyType
Content: | mixed, attr. wildcard, elem., wildcard
Abstract: | (may not be used directly in instance XML documents)
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
{any attribute} | from any namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
{any} | from any namespace | 0..∞ |
xsl:matching-substring |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | xsl:sequence-constructor
Content: | mixed, 6 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:message |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 8 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token |  | no
terminate | xsl:avt : xs:string | "no" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:namespace |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 8 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:avt : xs:string |  | yes
select | xsl:expression : restriction of xs:token |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:namespace-alias |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | empty, 8 attributes, attr. wildcard
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
stylesheet-prefix | xsl:prefix-or-default : (xs:NCName | "#default") |  | yes
result-prefix | xsl:prefix-or-default : (xs:NCName | "#default") |  | yes
{any attribute} | from non-schema namespace |  | no
xsl:next-match |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | complex, 6 attributes, attr. wildcard, 2 elements
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 0..∞ |
xsl:with-param | anonymous | 1..1 | no
xsl:fallback | xsl:sequence-constructor | 1..1 | no
xsl:non-matching-substring |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | xsl:sequence-constructor
Content: | mixed, 6 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:number |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:versioned-element-type)
Content: | mixed, 17 attributes, attr. wildcard
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 11 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
value | xsl:expression : restriction of xs:token |  | no
select | xsl:expression : restriction of xs:token |  | no
level | xsl:level : ("single" | "multiple" | "any") | "single" | no
count | xsl:pattern : restriction of xs:token |  | no
from | xsl:pattern : restriction of xs:token |  | no
format | xsl:avt : xs:string | 1 | no
lang | xsl:avt : xs:string |  | no
letter-value | xsl:avt : xs:string |  | no
ordinal | xsl:avt : xs:string |  | no
grouping-separator | xsl:avt : xs:string |  | no
grouping-size | xsl:avt : xs:string |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} | character data |  |
xsl:otherwise |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | xsl:sequence-constructor
Content: | mixed, 6 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:output |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:generic-element-type)
Content: | mixed, 22 attributes, attr. wildcard
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 17 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
name | xsl:QName : restriction of xs:Name |  | no
method | xsl:method : ("xml" | "xhtml" | "html" | "text" | restriction of restriction of xs:Name) |  | no
byte-order-mark | xsl:yes-or-no : ("yes" | "no") |  | no
cdata-section-elements | xsl:QNames : list of restriction of xs:Name |  | no
doctype-public | xs:string |  | no
doctype-system | xs:string |  | no
encoding | xs:string |  | no
escape-uri-attributes | xsl:yes-or-no : ("yes" | "no") |  | no
include-content-type | xsl:yes-or-no : ("yes" | "no") |  | no
indent | xsl:yes-or-no : ("yes" | "no") |  | no
media-type | xs:string |  | no
normalization-form | xs:NMTOKEN |  | no
omit-xml-declaration | xsl:yes-or-no : ("yes" | "no") |  | no
standalone | xsl:yes-or-no-or-omit : ("yes" | "no" | "omit") |  | no
undeclare-prefixes | xsl:yes-or-no : ("yes" | "no") |  | no
use-character-maps | xsl:QNames : list of restriction of xs:Name |  | no
version | xs:NMTOKEN |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} | character data |  |
xsl:output-character |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | empty, 8 attributes, attr. wildcard
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
character | xsl:char : restriction of xs:string |  | yes
string | xs:string |  | yes
{any attribute} | from non-schema namespace |  | no
xsl:param |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 11 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 5 attributes
Referenced: | by 3 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:QName : restriction of xs:Name |  | yes
select | xsl:expression : restriction of xs:token |  | no
as | xsl:sequence-type : restriction of xs:token |  | no
required | xsl:yes-or-no : ("yes" | "no") |  | no
tunnel | xsl:yes-or-no : ("yes" | "no") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:perform-sort |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:versioned-element-type)
Content: | mixed, 7 attributes, attr. wildcard, 4 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 1 attribute, 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
SEQUENCE |  | 1..1 |
xsl:sort | anonymous | 1..∞ | no
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:preserve-space |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | empty, 7 attributes, attr. wildcard
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
elements | xsl:nametests : list of (restriction of xs:Name | "*" | restriction of xs:token) |  | yes
{any attribute} | from non-schema namespace |  | no
xsl:processing-instruction |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 8 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:avt : xs:string |  | yes
select | xsl:expression : restriction of xs:token |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:result-document |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 26 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 20 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
format | xsl:avt : xs:string |  | no
href | xsl:avt : xs:string |  | no
type | xsl:QName : restriction of xs:Name |  | no
validation | xsl:validation-type : ("strict" | "lax" | "preserve" | "strip") |  | no
method | xsl:avt : xs:string |  | no
byte-order-mark | xsl:avt : xs:string |  | no
cdata-section-elements | xsl:avt : xs:string |  | no
doctype-public | xsl:avt : xs:string |  | no
doctype-system | xsl:avt : xs:string |  | no
encoding | xsl:avt : xs:string |  | no
escape-uri-attributes | xsl:avt : xs:string |  | no
include-content-type | xsl:avt : xs:string |  | no
indent | xsl:avt : xs:string |  | no
media-type | xsl:avt : xs:string |  | no
normalization-form | xsl:avt : xs:string |  | no
omit-xml-declaration | xsl:avt : xs:string |  | no
standalone | xsl:avt : xs:string |  | no
undeclare-prefixes | xsl:avt : xs:string |  | no
use-character-maps | xsl:QNames : list of restriction of xs:Name |  | no
output-version | xsl:avt : xs:string |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:sequence |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | mixed, 7 attributes, attr. wildcard, 1 element
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 1 attribute, 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
xsl:fallback | xsl:sequence-constructor | 0..∞ | no
xsl:sort |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 13 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 7 attributes
Referenced: | by 4 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token |  | no
lang | xsl:avt : xs:string |  | no
data-type | xsl:avt : xs:string | "text" | no
order | xsl:avt : xs:string | "ascending" | no
case-order | xsl:avt : xs:string |  | no
collation | xsl:avt : xs:string |  | no
stable | xsl:yes-or-no : ("yes" | "no") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:strip-space |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:element-only-versioned-element-type)
Content: | empty, 7 attributes, attr. wildcard
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
elements | xsl:nametests : list of (restriction of xs:Name | "*" | restriction of xs:token) |  | yes
{any attribute} | from non-schema namespace |  | no
xsl:template |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:versioned-element-type)
Content: | mixed, 11 attributes, attr. wildcard, 4 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:declaration
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 5 attributes, 1 element
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
match | xsl:pattern : restriction of xs:token |  | no
priority | xs:decimal |  | no
mode | xsl:modes : (list of (restriction of xs:Name | "#default") | "#all") |  | no
name | xsl:QName : restriction of xs:Name |  | no
as | xsl:sequence-type : restriction of xs:token | "item()*" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
SEQUENCE |  | 1..1 |
xsl:param | anonymous | 0..∞ | no
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:text |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:text-element-base-type)
Content: | simple, 7 attributes, attr. wildcard
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
disable-output-escaping | xsl:yes-or-no : ("yes" | "no") | "no" | no
{any attribute} | from non-schema namespace |  | no
xsl:value-of |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 9 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Subst.Gr: | substitutes for xsl:instruction
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 3 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
select | xsl:expression : restriction of xs:token |  | no
separator | xsl:avt : xs:string |  | no
disable-output-escaping | xsl:yes-or-no : ("yes" | "no") | "no" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:variable |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 9 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:QName : restriction of xs:Name |  | yes
select | xsl:expression : restriction of xs:token |  | no
as | xsl:sequence-type : restriction of xs:token |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:when |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 7 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
test | xsl:expression : restriction of xs:token |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:with-param |
Namespace: | http://www.w3.org/1999/XSL/Transform
Type: | anonymous complexType (extension of xsl:sequence-constructor)
Content: | mixed, 10 attributes, attr. wildcard, 3 elements, 2, elem., wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 4 attributes
Referenced: | by 4 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
name | xsl:QName : restriction of xs:Name |  | yes
select | xsl:expression : restriction of xs:token |  | no
as | xsl:sequence-type : restriction of xs:token |  | no
tunnel | xsl:yes-or-no : ("yes" | "no") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |

Complex Type Summary
xs:all |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:explicitGroup
Content: | complex, 3 attributes, attr. wildcard, 2 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 attributes, attr. wildcard
Referenced: | by 2 locations
Only elements allowed inside Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
minOccurs | anonymous : (0 | 1) | 1 | no
maxOccurs | anonymous : 1 | 1 | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:element | xs:narrowMaxMin | 0..∞ | no
xs:annotated |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:openAttrs
Content: | complex, 1 attribute, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, 1 element
Referenced: | by 21 locations
This type is extended by all types which allow annotation other than <schema> itself Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:anyType |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | mixed (allows character data), attr. wildcard, elem. wildcard
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, elem. wildcard
Referenced: | by 2 locations
Not the real urType, but as close an approximation as we can get in the XML representation Attributes:
Attribute | Type / Value | Default | Required?
{any attribute} | from any namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
{any} | from any namespace | 0..∞ |
xs:attribute |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 8 attributes, attr. wildcard, 2 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 5 attributes, 1 element
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
ref | xs:QName |  | no
type | xs:QName |  | no
use | anonymous : ("prohibited" | "optional" | "required") | "optional" | no
default | xs:string |  | no
fixed | xs:string |  | no
form | xs:formChoice : ("qualified" | "unqualified") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:simpleType | xs:localSimpleType | 0..1 | no
xs:attributeGroup |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 3 attributes, attr. wildcard, 4 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
ref | xs:QName |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:attributeGroupRef |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:attributeGroup
Content: | complex, 2 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 1 element; 1 attr. probition
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
ref | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:complexRestrictionType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:restrictionType
Content: | complex, 2 attributes, attr. wildcard, 8 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, 1 element
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
base | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:complexType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 6 attributes, attr. wildcard, 10 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 5 attributes
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
mixed | xs:boolean | "false" | no
abstract | xs:boolean | "false" | no
final | xs:derivationSet : ("#all" | list of ("extension" | "restriction")) |  | no
block | xs:derivationSet : ("#all" | list of ("extension" | "restriction")) |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:simpleContent | anonymous | 1..1 | no
xs:complexContent | anonymous | 1..1 | no
SEQUENCE |  | 1..1 |
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:element |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 14 attributes, attr. wildcard, 6 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 9 attributes, 2 elements
Referenced: | by 2 locations
The element element can be used either at the top level to define an element-type binding globally, or within a content model to either reference a globally-defined element or type or declare an element-type binding locally. » Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
ref | xs:QName |  | no
type | xs:QName |  | no
substitutionGroup | xs:QName |  | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
default | xs:string |  | no
fixed | xs:string |  | no
nillable | xs:boolean | "false" | no
abstract | xs:boolean | "false" | no
final | xs:derivationSet : ("#all" | list of ("extension" | "restriction")) |  | no
block | xs:blockSet : ("#all" | list of ("extension" | "restriction" | "substitution")) |  | no
form | xs:formChoice : ("qualified" | "unqualified") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:simpleType | xs:localSimpleType | 1..1 | no
xs:complexType | xs:localComplexType | 1..1 | no
CHOICE |  | 0..∞ |
xs:unique | xs:keybase | 1..1 | no
xs:key | xs:keybase | 1..1 | no
xs:keyref | anonymous | 1..1 | no
xs:explicitGroup |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:group
Content: | complex, 3 attributes, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, 1 element; 2 attr. prohibitions
Referenced: | by 4 locations
group type for the three kinds of group Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:element | xs:localElement | 1..1 | no
xs:group | xs:groupRef | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xs:any | anonymous | 1..1 | no
xs:extensionType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 2 attributes, attr. wildcard, 8 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
base | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:facet |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 7 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
value | xs:anySimpleType |  | yes
fixed | xs:boolean | "false" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:group |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 5 attributes, attr. wildcard, 7 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 2 locations
group type for explicit groups, named top-level groups and group references Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
ref | xs:QName |  | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:element | xs:localElement | 1..1 | no
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xs:any | anonymous | 1..1 | no
xs:groupRef |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:realGroup
Content: | complex, 4 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 1 element; 1 attr. probition
Referenced: | by 3 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
ref | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:keybase |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 2 attributes, attr. wildcard, 3 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, 2 elements
Referenced: | by 3 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:selector | anonymous | 1..1 | no
xs:field | anonymous | 1..∞ | no
xs:localComplexType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:complexType
Content: | complex, 2 attributes, attr. wildcard, 10 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, 1 element; 4 attr. prohibitions
Referenced: | by 4 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
mixed | xs:boolean | "false" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:simpleContent | anonymous | 1..1 | no
xs:complexContent | anonymous | 1..1 | no
SEQUENCE |  | 1..1 |
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:localElement |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:element
Content: | complex, 11 attributes, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, 3 elements; 3 attr. prohibitions
Referenced: | by 3 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
ref | xs:QName |  | no
type | xs:QName |  | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
default | xs:string |  | no
fixed | xs:string |  | no
nillable | xs:boolean | "false" | no
block | xs:blockSet : ("#all" | list of ("extension" | "restriction" | "substitution")) |  | no
form | xs:formChoice : ("qualified" | "unqualified") |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:simpleType | xs:localSimpleType | 1..1 | no
xs:complexType | xs:localComplexType | 1..1 | no
CHOICE |  | 0..∞ |
xs:unique | xs:keybase | 1..1 | no
xs:key | xs:keybase | 1..1 | no
xs:keyref | anonymous | 1..1 | no
xs:localSimpleType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:simpleType
Content: | complex, 1 attribute, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, 1 element; 2 attr. prohibitions
Referenced: | by 9 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:restriction | anonymous | 1..1 | no
xs:list | anonymous | 1..1 | no
xs:union | anonymous | 1..1 | no
xs:namedAttributeGroup |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:attributeGroup
Content: | complex, 2 attributes, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 1 element; 1 attr. probition
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:namedGroup |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:realGroup
Content: | complex, 2 attributes, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 4 elements; 3 attr. prohibitions
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:all | anonymous | 1..1 | no
xs:choice | xs:simpleExplicitGroup | 1..1 | no
xs:sequence | xs:simpleExplicitGroup | 1..1 | no
xs:narrowMaxMin |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:localElement
Content: | complex, 11 attributes, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 attributes, attr. wildcard, 3 elements
Referenced: | by 1 location
restricted max/min Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
ref | xs:QName |  | no
type | xs:QName |  | no
default | xs:string |  | no
fixed | xs:string |  | no
nillable | xs:boolean | "false" | no
block | xs:blockSet : ("#all" | list of ("extension" | "restriction" | "substitution")) |  | no
form | xs:formChoice : ("qualified" | "unqualified") |  | no
minOccurs | anonymous : (0 | 1) | 1 | no
maxOccurs | anonymous : (0 | 1) | 1 | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:simpleType | xs:localSimpleType | 1..1 | no
xs:complexType | xs:localComplexType | 1..1 | no
CHOICE |  | 0..∞ |
xs:unique | xs:keybase | 1..1 | no
xs:key | xs:keybase | 1..1 | no
xs:keyref | anonymous | 1..1 | no
xs:noFixedFacet |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:facet
Content: | complex, 2 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, 1 element; 1 attr. probition
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
value | xs:anySimpleType |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:numFacet |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:facet
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 1 element
Referenced: | by 5 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
fixed | xs:boolean | "false" | no
value | xs:nonNegativeInteger |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xs:openAttrs |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anyType
Content: | empty, attr. wildcard
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declaration of attr. wildcard
Referenced: | by 4 locations
This type is extended by almost all schema types to allow attributes from other namespaces to be added to user schemas. Attributes:
Attribute | Type / Value | Default | Required?
{any attribute} | from non-schema namespace |  | no
xs:realGroup |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:group
Content: | complex, 5 attributes, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, 4 elements
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
name | xs:NCName |  | no
ref | xs:QName |  | no
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xs:restrictionType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 2 attributes, attr. wildcard, 21 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
base | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
SEQUENCE |  | 1..1 |
xs:simpleType | xs:localSimpleType | 0..1 | no
CHOICE |  | 0..∞ |
xs:minExclusive | xs:facet | 1..1 | no
xs:minInclusive | xs:facet | 1..1 | no
xs:maxExclusive | xs:facet | 1..1 | no
xs:maxInclusive | xs:facet | 1..1 | no
xs:totalDigits | anonymous | 1..1 | no
xs:fractionDigits | xs:numFacet | 1..1 | no
xs:length | xs:numFacet | 1..1 | no
xs:minLength | xs:numFacet | 1..1 | no
xs:maxLength | xs:numFacet | 1..1 | no
xs:enumeration | xs:noFixedFacet | 1..1 | no
xs:whiteSpace | anonymous | 1..1 | no
xs:pattern | anonymous | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:simpleExplicitGroup |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:explicitGroup
Content: | complex, 1 attribute, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, 1 element; 2 attr. prohibitions
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:element | xs:localElement | 1..1 | no
xs:group | xs:groupRef | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xs:any | anonymous | 1..1 | no
xs:simpleExtensionType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:extensionType
Content: | complex, 2 attributes, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, 1 element
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
base | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:simpleRestrictionType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:restrictionType
Content: | complex, 2 attributes, attr. wildcard, 17 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of attr. wildcard, 1 element
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
base | xs:QName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:simpleType | xs:localSimpleType | 0..1 | no
CHOICE |  | 0..∞ |
xs:minExclusive | xs:facet | 1..1 | no
xs:minInclusive | xs:facet | 1..1 | no
xs:maxExclusive | xs:facet | 1..1 | no
xs:maxInclusive | xs:facet | 1..1 | no
xs:totalDigits | anonymous | 1..1 | no
xs:fractionDigits | xs:numFacet | 1..1 | no
xs:length | xs:numFacet | 1..1 | no
xs:minLength | xs:numFacet | 1..1 | no
xs:maxLength | xs:numFacet | 1..1 | no
xs:enumeration | xs:noFixedFacet | 1..1 | no
xs:whiteSpace | anonymous | 1..1 | no
xs:pattern | anonymous | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:simpleType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 3 attributes, attr. wildcard, 4 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
final | xs:simpleDerivationSet : ("#all" | list of ("list" | "union" | "restriction")) |  | no
name | xs:NCName |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:restriction | anonymous | 1..1 | no
xs:list | anonymous | 1..1 | no
xs:union | anonymous | 1..1 | no
xs:topLevelAttribute |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:attribute
Content: | complex, 5 attributes, attr. wildcard, 2 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 2 elements; 3 attr. prohibitions
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
type | xs:QName |  | no
default | xs:string |  | no
fixed | xs:string |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:simpleType | xs:localSimpleType | 0..1 | no
xs:topLevelComplexType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:complexType
Content: | complex, 6 attributes, attr. wildcard, 10 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 1 element
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
mixed | xs:boolean | "false" | no
abstract | xs:boolean | "false" | no
final | xs:derivationSet : ("#all" | list of ("extension" | "restriction")) |  | no
block | xs:derivationSet : ("#all" | list of ("extension" | "restriction")) |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:simpleContent | anonymous | 1..1 | no
xs:complexContent | anonymous | 1..1 | no
SEQUENCE |  | 1..1 |
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:topLevelElement |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:element
Content: | complex, 10 attributes, attr. wildcard, 6 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 3 elements; 4 attr. prohibitions
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
type | xs:QName |  | no
substitutionGroup | xs:QName |  | no
default | xs:string |  | no
fixed | xs:string |  | no
nillable | xs:boolean | "false" | no
abstract | xs:boolean | "false" | no
final | xs:derivationSet : ("#all" | list of ("extension" | "restriction")) |  | no
block | xs:blockSet : ("#all" | list of ("extension" | "restriction" | "substitution")) |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 0..1 |
xs:simpleType | xs:localSimpleType | 1..1 | no
xs:complexType | xs:localComplexType | 1..1 | no
CHOICE |  | 0..∞ |
xs:unique | xs:keybase | 1..1 | no
xs:key | xs:keybase | 1..1 | no
xs:keyref | anonymous | 1..1 | no
xs:topLevelSimpleType |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:simpleType
Content: | complex, 3 attributes, attr. wildcard, 4 elements
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard, 1 element
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
final | xs:simpleDerivationSet : ("#all" | list of ("list" | "union" | "restriction")) |  | no
name | xs:NCName |  | yes
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
CHOICE |  | 1..1 |
xs:restriction | anonymous | 1..1 | no
xs:list | anonymous | 1..1 | no
xs:union | anonymous | 1..1 | no
xs:wildcard |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | extension of xs:annotated
Content: | complex, 3 attributes, attr. wildcard, 1 element
Block: | "#all" (blocks all substitutions of this complex type through xsi:type attribute in instance XML documents)
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 2 locations
Attributes:
Attribute | Type / Value | Default | Required?
id | xs:ID |  | no
namespace | xs:namespaceList : ("##any" | "##other" | list of (xs:anyURI | "##targetNamespace" | "##local")) | "##any" | no
processContents | anonymous : ("skip" | "lax" | "strict") | "strict" | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
xs:annotation | anonymous | 0..1 | no
xsl:element-only-versioned-element-type |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xsl:versioned-element-type
Content: | empty, 6 attributes, attr. wildcard
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of attr. wildcard
Referenced: | by 18 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
xsl:generic-element-type |
Namespace: | http://www.w3.org/1999/XSL/Transform
Content: | mixed (allows character data), 5 attributes, attr. wildcard
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 5 attributes, attr. wildcard
Referenced: | by 3 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} | character data |  |
xsl:sequence-constructor |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | extension of xsl:versioned-element-type
Content: | mixed (allows character data), 6 attributes, attr. wildcard, 3 elements, 2 elem. wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 21 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} × | character data |  |
CHOICE |  | 0..∞ |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:text-element-base-type |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xsl:versioned-element-type
Content: | simple, 6 attributes, attr. wildcard
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of attr. wildcard
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
xsl:transform-element-base-type |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xsl:element-only-versioned-element-type
Content: | empty, 6 attributes, attr. wildcard
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 1 attribute, attr. wildcard
Referenced: | by 1 location
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | yes
{any attribute} | from non-schema namespace |  | no
xsl:versioned-element-type |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | extension of xsl:generic-element-type
Content: | mixed (allows character data), 6 attributes, attr. wildcard
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 11 locations
Attributes:
Attribute | Type / Value | Default | Required?
default-collation | xsl:uri-list : list of xs:anyURI |  | no
exclude-result-prefixes | xsl:prefix-list-or-all : (list of (xs:NCName | "#default") | "#all") |  | no
extension-element-prefixes | xsl:prefix-list : list of (xs:NCName | "#default") |  | no
use-when | xsl:expression : restriction of xs:token |  | no
xpath-default-namespace | xs:anyURI |  | no
version | xs:decimal |  | no
{any attribute} | from non-schema namespace |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
{text} | character data |  |

Simple Type Summary
xs:allNNI |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | union of (xs:nonNegativeInteger | restriction of xs:NMTOKEN)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 3 locations
for maxOccurs
xs:anyURI |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 19 locations
See: http://www.w3.org/TR/xmlschema-2/#anyURI
xs:base64Binary |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#base64Binary
xs:blockSet |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | union of (restriction of xs:token | list of restriction of xs:derivationControl)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 2 locations
A utility type, not for public use #all or (possibly empty) subset of {substitution, extension, restriction}
xs:boolean |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 6 locations
See: http://www.w3.org/TR/xmlschema-2/#boolean
xs:byte |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:short
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#byte
xs:date |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#date
xs:dateTime |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#dateTime
xs:decimal |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 5 locations
See: http://www.w3.org/TR/xmlschema-2/#decimal
xs:derivationControl |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:NMTOKEN
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 4 locations
A utility type, not for public use
xs:derivationSet |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | union of (restriction of xs:token | list of xs:reducedDerivationControl)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 3 locations
A utility type, not for public use #all or (possibly empty) subset of {extension, restriction}
xs:double |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#double
xs:duration |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#duration
xs:ENTITIES |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of list of xs:ENTITY
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#ENTITIES
xs:ENTITY |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:NCName
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#ENTITY
xs:float |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#float
xs:formChoice |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:NMTOKEN
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 4 locations
A utility type, not for public use
xs:fullDerivationSet |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | union of (restriction of xs:token | list of xs:typeDerivationControl)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
A utility type, not for public use #all or (possibly empty) subset of {extension, restriction, list, union}
xs:gDay |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#gDay
xs:gMonth |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#gMonth
xs:gMonthDay |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#gMonthDay
xs:gYear |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#gYear
xs:gYearMonth |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#gYearMonth
xs:hexBinary |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#binary
xs:ID |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:NCName
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 6 locations
See: http://www.w3.org/TR/xmlschema-2/#ID
xs:IDREF |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:NCName
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#IDREF
xs:IDREFS |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of list of xs:IDREF
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#IDREFS
xs:int |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:long
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#int
xs:integer |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:decimal
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 3 locations
See: http://www.w3.org/TR/xmlschema-2/#integer
xs:language |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:token
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#language
xs:long |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:integer
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#long
xs:Name |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:token
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 2 locations
See: http://www.w3.org/TR/xmlschema-2/#Name
xs:namespaceList |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | union of (restriction of xs:token | list of union of (xs:anyURI | restriction of xs:token))
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
A utility type, not for public use
xs:NCName |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:Name
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 19 locations
See: http://www.w3.org/TR/xmlschema-2/#NCName
xs:negativeInteger |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:nonPositiveInteger
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#negativeInteger
xs:NMTOKEN |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:token
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 9 locations
See: http://www.w3.org/TR/xmlschema-2/#NMTOKEN
xs:NMTOKENS |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of list of xs:NMTOKEN
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#NMTOKENS
xs:nonNegativeInteger |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:integer
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 7 locations
See: http://www.w3.org/TR/xmlschema-2/#nonNegativeInteger
xs:nonPositiveInteger |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:integer
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#nonPositiveInteger
xs:normalizedString |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:string
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#normalizedString
xs:NOTATION |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
NOTATION cannot be used directly in a schema; rather a type must be derived from it by specifying at least one enumeration facet whose value is the name of a NOTATION declared in the schema. »
xs:positiveInteger |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:nonNegativeInteger
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#positiveInteger
xs:public |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:token
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
A utility type, not for public use A public identifier, per ISO 8879
xs:QName |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 12 locations
See: http://www.w3.org/TR/xmlschema-2/#QName
xs:reducedDerivationControl |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:derivationControl
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
A utility type, not for public use
xs:short |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:int
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#short
xs:simpleDerivationSet |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | union of (restriction of xs:token | list of restriction of xs:derivationControl)
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
#all or (possibly empty) subset of {restriction, union, list} A utility type, not for public use
xs:string |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 17 locations
See: http://www.w3.org/TR/xmlschema-2/#string
xs:time |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:anySimpleType
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#time
xs:token |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:normalizedString
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 26 locations
See: http://www.w3.org/TR/xmlschema-2/#token
xs:typeDerivationControl |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:derivationControl
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
A utility type, not for public use
xs:unsignedByte |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:unsignedShort
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | never
See: http://www.w3.org/TR/xmlschema-2/#unsignedByte
xs:unsignedInt |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:unsignedLong
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#unsignedInt
xs:unsignedLong |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:nonNegativeInteger
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#unsignedLong
xs:unsignedShort |
Namespace: | http://www.w3.org/2001/XMLSchema
Derived By: | restriction of xs:unsignedInt
Defined: | globally in XMLSchema.xsd; see XML source
Referenced: | by 1 location
See: http://www.w3.org/TR/xmlschema-2/#unsignedShort
xsl:avt |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xs:string
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 39 locations
This type is used for all attributes that allow an attribute value template. »
xsl:char |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xs:string
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 9 locations
A string containing exactly one character.
xsl:expression |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xs:token
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 27 locations
An XPath 2.0 expression.
xsl:input-type-annotations-type |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xs:token
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
Describes how type annotations in source documents are handled.
xsl:level |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xs:NCName
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
The level attribute of xsl:number: one of single, multiple, or any.
xsl:method |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | union of (restriction of xs:NCName | restriction of xsl:QName)
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
The method attribute of xsl:output: Either one of the recognized names "xml", "xhtml", "html", "text", or a QName that must include a prefix.
xsl:mode |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | union of (xsl:QName | restriction of xs:token)
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
The mode attribute of xsl:apply-templates: either a QName, or #current, or #default.
xsl:modes |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | union of (list of union of (xsl:QName | restriction of xs:token) | restriction of xs:token)
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
The mode attribute of xsl:template: either a list, each member being either a QName or #default; or the value #all
xsl:nametests |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | list of union of (xsl:QName | restriction of xs:token | restriction of xs:token)
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 2 locations
A list of NameTests, as defined in the XPath 2.0 Recommendation. »
xsl:pattern |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xsl:expression
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 6 locations
A match pattern as defined in the XSLT 2.0 Recommendation. »
xsl:prefix-list |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | list of xsl:prefix-or-default
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 2 locations
xsl:prefix-list-or-all |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | union of (xsl:prefix-list | restriction of xs:token)
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
xsl:prefix-or-default |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | union of (xs:NCName | restriction of xs:token)
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 3 locations
Either a namespace prefix, or #default. »
xsl:prefixes |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | list of xs:NCName
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 2 locations
xsl:QName |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xs:Name
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 23 locations
A QName. »
xsl:QNames |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | list of xsl:QName
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 8 locations
A list of QNames. »
xsl:sequence-type |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xs:token
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 5 locations
The description of a data type, conforming to the SequenceType production defined in the XPath 2.0 Recommendation
xsl:uri-list |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | list of xs:anyURI
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 2 locations
xsl:validation-strip-or-preserve |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xsl:validation-type
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
Describes different ways of type-annotating an element or attribute.
xsl:validation-type |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xs:token
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 8 locations
Describes different ways of type-annotating an element or attribute.
xsl:yes-or-no |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xs:token
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 18 locations
One of the values "yes" or "no".
xsl:yes-or-no-or-omit |
Namespace: | http://www.w3.org/1999/XSL/Transform
Derived By: | restriction of xs:token
Defined: | globally in schema-for-xslt20.xsd; see XML source
Referenced: | by 1 location
One of the values "yes" or "no" or "omit".

Element Group Summary
xs:allModel |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 2 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | by 2 locations
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:annotation | anonymous | 0..1 | no
xs:element | xs:narrowMaxMin | 0..∞ | no
xs:attrDecls |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 3 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 3 elements
Referenced: | by 8 locations
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:complexTypeModel |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 9 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | by 3 locations
Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xs:simpleContent | anonymous | 1..1 | no
xs:complexContent | anonymous | 1..1 | no
SEQUENCE |  | 1..1 |
CHOICE |  | 0..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
CHOICE |  | 0..∞ |
xs:attribute | xs:attribute | 1..1 | no
xs:attributeGroup | xs:attributeGroupRef | 1..1 | no
xs:anyAttribute | xs:wildcard | 0..1 | no
xs:facets |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 12 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 12 elements
Referenced: | by 1 location
We should use a substitution group for facets, but that's ruled out because it would allow users to add their own, which we're not ready for yet. Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xs:minExclusive | xs:facet | 1..1 | no
xs:minInclusive | xs:facet | 1..1 | no
xs:maxExclusive | xs:facet | 1..1 | no
xs:maxInclusive | xs:facet | 1..1 | no
xs:totalDigits | anonymous | 1..1 | no
xs:fractionDigits | xs:numFacet | 1..1 | no
xs:length | xs:numFacet | 1..1 | no
xs:minLength | xs:numFacet | 1..1 | no
xs:maxLength | xs:numFacet | 1..1 | no
xs:enumeration | xs:noFixedFacet | 1..1 | no
xs:whiteSpace | anonymous | 1..1 | no
xs:pattern | anonymous | 1..1 | no
xs:identityConstraint |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 3 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 3 elements
Referenced: | by 4 locations
The three kinds of identity constraints, all with type of or derived from 'keybase'. Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xs:unique | xs:keybase | 1..1 | no
xs:key | xs:keybase | 1..1 | no
xs:keyref | anonymous | 1..1 | no
xs:nestedParticle |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 5 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 5 elements
Referenced: | by 2 locations
Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xs:element | xs:localElement | 1..1 | no
xs:group | xs:groupRef | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xs:any | anonymous | 1..1 | no
xs:particle |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 6 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 6 elements
Referenced: | by 1 location
Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xs:element | xs:localElement | 1..1 | no
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xs:any | anonymous | 1..1 | no
xs:redefinable |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 4 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 4 elements
Referenced: | by 2 locations
This group is for the elements which can self-redefine (see <redefine> below). Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xs:simpleType | xs:topLevelSimpleType | 1..1 | no
xs:complexType | xs:topLevelComplexType | 1..1 | no
xs:group | xs:namedGroup | 1..1 | no
xs:attributeGroup | xs:namedAttributeGroup | 1..1 | no
xs:schemaTop |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 7 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 3 elements
Referenced: | by 1 location
This group is for the elements which occur freely at the top level of schemas. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xs:simpleType | xs:topLevelSimpleType | 1..1 | no
xs:complexType | xs:topLevelComplexType | 1..1 | no
xs:group | xs:namedGroup | 1..1 | no
xs:attributeGroup | xs:namedAttributeGroup | 1..1 | no
xs:element | xs:topLevelElement | 1..1 | no
xs:attribute | xs:topLevelAttribute | 1..1 | no
xs:notation | anonymous | 1..1 | no
xs:simpleDerivation |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 3 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 3 elements
Referenced: | by 3 locations
Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xs:restriction | anonymous | 1..1 | no
xs:list | anonymous | 1..1 | no
xs:union | anonymous | 1..1 | no
xs:simpleRestrictionModel |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 13 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declaration of 1 element
Referenced: | by 3 locations
Content Element Model:
Component | Type / Value | Occurs | Nillable?
SEQUENCE |  | 1..1 |
xs:simpleType | xs:localSimpleType | 0..1 | no
CHOICE |  | 0..∞ |
xs:minExclusive | xs:facet | 1..1 | no
xs:minInclusive | xs:facet | 1..1 | no
xs:maxExclusive | xs:facet | 1..1 | no
xs:maxInclusive | xs:facet | 1..1 | no
xs:totalDigits | anonymous | 1..1 | no
xs:fractionDigits | xs:numFacet | 1..1 | no
xs:length | xs:numFacet | 1..1 | no
xs:minLength | xs:numFacet | 1..1 | no
xs:maxLength | xs:numFacet | 1..1 | no
xs:enumeration | xs:noFixedFacet | 1..1 | no
xs:whiteSpace | anonymous | 1..1 | no
xs:pattern | anonymous | 1..1 | no
xs:typeDefParticle |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 4 elements
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 4 elements
Referenced: | by 4 locations
'complexType' uses this Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xs:group | xs:groupRef | 1..1 | no
xs:all | xs:all | 1..1 | no
xs:choice | xs:explicitGroup | 1..1 | no
xs:sequence | xs:explicitGroup | 1..1 | no
xsl:result-elements |
Namespace: | http://www.w3.org/1999/XSL/Transform
Content: | 1 element, 2 elem. wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 1 element, 2 elem. wildcards
Referenced: | by 1 location
Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |
xsl:sequence-constructor-group |
Namespace: | http://www.w3.org/1999/XSL/Transform
Content: | 3 elements, 2 elem. wildcards
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | by 6 locations
Content Element Model:
Component | Type / Value | Occurs | Nillable?
CHOICE |  | 1..1 |
xsl:variable | anonymous | 1..1 | no
xsl:instruction | xsl:versioned-element-type | 1..1 | no
xsl:literal-result-element | xs:anyType | 1..1 | no
{any} | from non-schema namespace | 1..1 |
{any} | without namespace | 1..1 |

Attribute Group Summary
xml:specialAttrs |
Namespace: | http://www.w3.org/XML/1998/namespace
Content: | 4 attributes
Defined: | globally in xml.xsd; see XML source
Includes: | declarations of 4 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
xml:base | xs:anyURI |  | no
xml:lang | anonymous : (xs:language | "") |  | no
xml:space | anonymous : ("default" | "preserve") |  | no
xml:id | xs:ID |  | no
xs:defRef |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 2 attributes
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 4 locations
for element, group and attributeGroup, which both define and reference Attributes:
Attribute | Type / Value | Default | Required?
name | xs:NCName |  | no
ref | xs:QName |  | no
xs:occurs |
Namespace: | http://www.w3.org/2001/XMLSchema
Content: | 2 attributes
Defined: | globally in XMLSchema.xsd; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 3 locations
for all particles Attributes:
Attribute | Type / Value | Default | Required?
minOccurs | xs:nonNegativeInteger | 1 | no
maxOccurs | xs:allNNI : (xs:nonNegativeInteger | "unbounded") | 1 | no
xsl:literal-result-element-attributes |
Namespace: | http://www.w3.org/1999/XSL/Transform
Content: | 10 attributes
Defined: | globally in schema-for-xslt20.xsd; see XML source
Includes: | declarations of 10 attributes
Referenced: | never
Attributes:
Attribute | Type / Value | Default | Required?
xsl:default-collation | xsl:uri-list : list of xs:anyURI |  | no
xsl:extension-element-prefixes | xsl:prefixes : list of xs:NCName |  | no
xsl:exclude-result-prefixes | xsl:prefixes : list of xs:NCName |  | no
xsl:xpath-default-namespace | xs:anyURI |  | no
xsl:inherit-namespaces | xsl:yes-or-no : ("yes" | "no") | "yes" | no
xsl:use-attribute-sets | xsl:QNames : list of restriction of xs:Name | "" | no
xsl:use-when | xsl:expression : restriction of xs:token |  | no
xsl:version | xs:decimal |  | no
xsl:type | xsl:QName : restriction of xs:Name |  | no
xsl:validation | xsl:validation-type : ("strict" | "lax" | "preserve" | "strip") |  | no

Global Attribute Summary
xml:base |
Namespace: | http://www.w3.org/XML/1998/namespace
Type: | xs:anyURI
Defined: | globally in xml.xsd; see XML source
Referenced: | by 1 location
base (as an attribute name) denotes an attribute whose value provides a URI to be used as the base for interpreting any relative URIs in the scope of the element on which it appears; its value is inherited.
xml:id |
Namespace: | http://www.w3.org/XML/1998/namespace
Type: | xs:ID
Defined: | globally in xml.xsd; see XML source
Referenced: | by 1 location
id (as an attribute name) denotes an attribute whose value should be interpreted as if declared to be of type ID.
xml:lang |
Namespace: | http://www.w3.org/XML/1998/namespace
Type: | anonymous simpleType (union of (xs:language | restriction of xs:string))
Defined: | globally in xml.xsd; see XML source
Referenced: | by 3 locations
lang (as an attribute name) denotes an attribute whose value is a language code for the natural language of the content of any element; its value is inherited.
xml:space |
Namespace: | http://www.w3.org/XML/1998/namespace
Type: | anonymous simpleType (restriction of xs:NCName)
Defined: | globally in xml.xsd; see XML source
Referenced: | by 1 location
space (as an attribute name) denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited.

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.